Subject: Sharing PCIE driver between Microblaze and Arm zynq

From: [email-masked] (Grant Likely)
Date: Fri, 07 Dec 2012 13:17:06 +0000

On Thu, 6 Dec 2012 15:23:14 +0100, Michal Simek <[email-masked]> wrote:
> Hi guys,
> 
> I have a question regarding to sharing generic OF pcie driver between
> two architectures MB and ARM Zynq.
> Is drivers/pci/pcie location good for it?
> Make no sense to have the same driver in two locations.
> Is using readl/writel IO functions in this driver the best option
> which we can have?
> Or is there any other recommendation?
> 
> Also just want to check if it is correct to use pcie device_type.
> The rest should be the same with pci description:
> (http://devicetree.org/MPC5200:PCI#PCI_Address_Translation).

Yes. device_type may be deprecated, but the PCI binding predates that.
PowerPC uses pcie in the device type. arch/powerpc/kernel/of_platform.c

Some of that powerpc DT PCI support code really should be made generic.

g.